be.ehealth.businessconnector.hubv3.util

## Class RequestTypeBuilder

- java.lang.Object
- - be.ehealth.businessconnector.hubv3.util.RequestTypeBuilder

-     public class RequestTypeBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROJECT_NAME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestTypeBuilder` | `addAuthorWithEncryptionInformation()`
    `RequestTypeBuilder` | `addBreakTheGlass(String breakTheGlass)`
    `RequestTypeBuilder` | `addGenericAuthor()`
    `RequestTypeBuilder` | `addMaxRows(Integer maxRows)`
    `RequestType` | `build()`
    `static RequestTypeBuilder` | `init()` creates a new RequestTypeBuilder.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROJECT_NAME

          public static final String PROJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### init

          public static RequestTypeBuilder init()
                                         throws TechnicalConnectorException

      creates a new RequestTypeBuilder. will initialize id ( with HcPartyUtil.createKmehrId , see kmehrcommons javadoc for configuration options ) , date and time ( current time )
      Returns:
        RequestTypeBuilder
      Throws:
        `TechnicalConnectorException`

    - #### addGenericAuthor

          public RequestTypeBuilder addGenericAuthor()
                                              throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### addAuthorWithEncryptionInformation

          public RequestTypeBuilder addAuthorWithEncryptionInformation()
                                                                throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### addBreakTheGlass

          public RequestTypeBuilder addBreakTheGlass(String breakTheGlass)

    - #### addMaxRows

          public RequestTypeBuilder addMaxRows(Integer maxRows)

    - #### build

          public RequestType build()

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.